# Get Members

/api/third-party/members

It returns basic details of this user. The optional query parameters are:&#x20;

## Get Members

<mark style="color:blue;">`GET`</mark> `https://teamsync.ink/api/third-party/members`

It returns basic details of this user. The optional query parameters are:&#x20;

#### Query Parameters

| Name      | Type    | Description                                                  |
| --------- | ------- | ------------------------------------------------------------ |
| limit     | integer | default to 10                                                |
| page      | integer | default to 1                                                 |
| search    | string  | search within names, email, skills, state and country field. |
| sortBy    | String  | sort by the response fields                                  |
| sortOrder | String  | 1 for descending order and 0 for descending                  |

{% tabs %}
{% tab title="200: OK " %}

```json
{
firstName: string, 
lastName: string,
email: string, 
createdAt: date,
skills: array of strings, 
isUserAvailable: boolean, 
collaborationStyle: string, 
profession: string,
portfolioUrl: string,
interests: array of string, 
aboutSelf: string,
country: string, 
state:string
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.teamsync.tools/members/get-members.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
